Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Delete Data Object

Delete an object, or one version of it. A version under a legal hold cannot be deleted, and one still within its retention period can only be deleted by bypassing governance.

DELETE/datasets/{Dataset_Id}/objects/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

  • object_nameQuerystringrequired
    exampletrain/images/example.png
  • version_idQuerystringoptional

    Delete only this version. Omit to delete the object.

Responses

No documented responses.